package com.huigou.uasp.builder.vo;

import com.huigou.uasp.bpm.managment.domain.model.ProcDefinition;
import com.huigou.uasp.form.domain.model.FormParameter;

import java.util.List;


public class ParamFormVO {
	
	private   int isform;     // 1表示是表单生成器  0 表示代码生成器
	private   String uploadPath;
	private   String srcPath;
	
	private   String tableName;
	private   String mainTableName;
	
	private   String formName;
	private   String packageName;
	private   String formPath;
	
	private   String []fieldEns;
	private   String []realFieldEns; //真实字段名称
	private   String []fieldChs;  //字段中文名称 
	private   String []fieldTags;  //字段标签类型

	private   String []dataSourceTypes;
	private   String []dataSources;
	private   String []validatorTypes;
	private   String []mustinputFields; 
	private   String []fieldsLengths; //输入最大长度 
	private   String []defaultOperation;  //默认操作  只读、读写、无权限等
	
	private  String []btnNames;
	private  String []btnMethodNames;
	 
	private  String []displayFields; //列表显示字段
	private  String []displayFieldnames; //列表显示字段名称 
	private  String []displayFieldTypes;
	private  String []searchFields; 
	
	private  String []cssStyle;
	private  String []checkFunction;
	private  String []jsFunction;
	
	private List<String>  hiddenFields;
	private String []codeRuleId;
	
	private String pagedatailCols;
	private   int  labelCols;
	private   int  fieldCols;
	private   int  textAreaRows;
	private   int  existAttachment;
	private   List  <FormParameter> attachmentLists;

	//private  ProcDefinition  procDefinition;

	private  List <SeleListCustomVO> selectCustoms;   //检索SQL对象参数
	
	private  List <ParamFormVO>details;   //明细表对象参数 

	private  EasySearchVO  easySearchVO;
	
	public int getIsform() {
		return isform;
	}
	public void setIsform(int isform) {
		this.isform = isform;
	}
	public String getUploadPath() {
		return uploadPath;
	}
	public void setUploadPath(String uploadPath) {
		this.uploadPath = uploadPath;
	}
	
	
	public String getSrcPath() {
		return srcPath;
	}
	public void setSrcPath(String srcPath) {
		this.srcPath = srcPath;
	}
	public String getFormName() {
		return formName;
	}
	public void setFormName(String formName) {
		this.formName = formName;
	}
	public String getPackageName() {
		return packageName;
	}
	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}
	public String getFormPath() {
		return formPath;
	}
	public void setFormPath(String formPath) {
		this.formPath = formPath;
	}
	public String[] getFieldEns() {
		return fieldEns;
	}
	public void setFieldEns(String[] fieldEns) {
		this.fieldEns = fieldEns;
	}
	
	
	public String[] getRealFieldEns() {
		return realFieldEns;
	}
	public void setRealFieldEns(String[] realFieldEns) {
		this.realFieldEns = realFieldEns;
	}
	public String[] getFieldChs() {
		return fieldChs;
	}
	public void setFieldChs(String[] fieldChs) {
		this.fieldChs = fieldChs;
	}
	public String[] getFieldTags() {
		return fieldTags;
	}
	public void setFieldTags(String[] fieldTags) {
		this.fieldTags = fieldTags;
	}
	
	
	public String[] getDataSourceTypes() {
		return dataSourceTypes;
	}
	public void setDataSourceTypes(String[] dataSourceTypes) {
		this.dataSourceTypes = dataSourceTypes;
	}
	public String[] getDataSources() {
		return dataSources;
	}
	public void setDataSources(String[] dataSources) {
		this.dataSources = dataSources;
	}
	public String[] getValidatorTypes() {
		return validatorTypes;
	}
	public void setValidatorTypes(String[] validatorTypes) {
		this.validatorTypes = validatorTypes;
	}
	public String[] getMustinputFields() {
		return mustinputFields;
	}
	public void setMustinputFields(String[] mustinputFields) {
		this.mustinputFields = mustinputFields;
	}

	public String[] getFieldsLengths() {
		return fieldsLengths;
	}
	public void setFieldsLengths(String[] fieldsLengths) {
		this.fieldsLengths = fieldsLengths;
	}
	public String[] getBtnNames() {
		return btnNames;
	}
	public void setBtnNames(String[] btnNames) {
		this.btnNames = btnNames;
	}
	public String[] getBtnMethodNames() {
		return btnMethodNames;
	}
	public void setBtnMethodNames(String[] btnMethodNames) {
		this.btnMethodNames = btnMethodNames;
	}
	public String[] getDisplayFields() {
		return displayFields;
	}
	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}
	public String[] getDisplayFieldnames() {
		return displayFieldnames;
	}
	public void setDisplayFieldnames(String[] displayFieldnames) {
		this.displayFieldnames = displayFieldnames;
	}
	public String[] getDisplayFieldTypes() {
		return displayFieldTypes;
	}
	public void setDisplayFieldTypes(String[] displayFieldTypes) {
		this.displayFieldTypes = displayFieldTypes;
	}
	public String[] getSearchFields() {
		return searchFields;
	}
	public void setSearchFields(String[] searchFields) {
		this.searchFields = searchFields;
	}
	public String getPagedatailCols() {
		return pagedatailCols;
	}
	public void setPagedatailCols(String pagedatailCols) {
		this.pagedatailCols = pagedatailCols;
	}
	public int getLabelCols() {
		return labelCols;
	}
	public void setLabelCols(int labelCols) {
		this.labelCols = labelCols;
	}
	public int getFieldCols() {
		return fieldCols;
	}
	public void setFieldCols(int fieldCols) {
		this.fieldCols = fieldCols;
	}
	public int getTextAreaRows() {
		return textAreaRows;
	}
	public void setTextAreaRows(int textAreaRows) {
		this.textAreaRows = textAreaRows;
	}
	public int getExistAttachment() {
		return existAttachment;
	}
	public void setExistAttachment(int existAttachment) {
		this.existAttachment = existAttachment;
	}
	public String getTableName() {
		return tableName;
	}
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	
	public String getMainTableName() {
		return mainTableName;
	}
	public void setMainTableName(String mainTableName) {
		this.mainTableName = mainTableName;
	}
	public List<SeleListCustomVO> getSelectCustoms() {
		return selectCustoms;
	}
	public void setSelectCustoms(List<SeleListCustomVO> selectCustoms) {
		this.selectCustoms = selectCustoms;
	}
	
	
	public List<String> getHiddenFields() {
		return hiddenFields;
	}
	public void setHiddenFields(List<String> hiddenFields) {
		this.hiddenFields = hiddenFields;
	}
	public String[] getCodeRuleId() {
		return codeRuleId;
	}
	public void setCodeRuleId(String[] codeRuleId) {
		this.codeRuleId = codeRuleId;
	}
	public List<ParamFormVO> getDetails() {
		return details;
	}
	public void setDetails(List<ParamFormVO> details) {
		this.details = details;
	}
	public String[] getCssStyle() {
		return cssStyle;
	}
	public void setCssStyle(String[] cssStyle) {
		this.cssStyle = cssStyle;
	}
	public String[] getCheckFunction() {
		return checkFunction;
	}
	public void setCheckFunction(String[] checkFunction) {
		this.checkFunction = checkFunction;
	}
	public String[] getJsFunction() {
		return jsFunction;
	}
	public void setJsFunction(String[] jsFunction) {
		this.jsFunction = jsFunction;
	}


	public String[] getDefaultOperation() {
		return defaultOperation;
	}

	public void setDefaultOperation(String[] defaultOperation) {
		this.defaultOperation = defaultOperation;
	}

	public EasySearchVO getEasySearchVO() {
		return easySearchVO;
	}

	public void setEasySearchVO(EasySearchVO easySearchVO) {
		this.easySearchVO = easySearchVO;
	}

	public List<FormParameter> getAttachmentLists() {
		return attachmentLists;
	}

	public void setAttachmentLists(List<FormParameter> attachmentLists) {
		this.attachmentLists = attachmentLists;
	}
}
