package com.huigou.uasp.form.domain.model;

 import javax.persistence.Column;
import javax.persistence.Embedded;
 import javax.persistence.Entity;
 import javax.persistence.Table;

 import com.huigou.data.domain.model.AbstractEntity;
import com.huigou.data.domain.model.Creator;
  
 @Entity
 @Table(name = "saf_form_tables") 
public class FormTables extends AbstractEntity{ 
   private static final long serialVersionUID = 1L; 
 /** 
  * 模型表名ID
 */
  @Column(name="table_id",length=32) 
  private String tableId; 
  
  /** 
   * 表单ID
  */
   @Column(name="form_id",length=32) 
   private String formId;
   
   /** 
    * 表名称
   */
    @Column(name="table_name",length=32) 
    private String tableName;
    
    /** 
     * 表名称
    */
     @Column(name="table_type",length=10) 
     private Integer tableType;
     
   /** 
    * 显示顺序号
   */
   //@Column(name="nums",length=10) 
  // private Integer nums;
 
   /** 
    * 状态
   */
   @Column(name="status",length=10) 
   private Integer status;

   //排列顺序
     @Column(name="display_nums",length=10)
     private Integer displayNums;
   /**
	 * 创建人信息
	 */
	@Embedded
	private Creator creator;
	
	
	
public String getTableId() {
	return tableId;
}

public void setTableId(String tableId) {
	this.tableId = tableId;
}



public Integer getStatus() {
	return status;
}

public void setStatus(Integer status) {
	this.status = status;
}

public Creator getCreator() {
	return creator;
}

public void setCreator(Creator creator) {
	this.creator = creator;
}

public String getFormId() {
	return formId;
}

public void setFormId(String formId) {
	this.formId = formId;
}

public String getTableName() {
	return tableName;
}

public void setTableName(String tableName) {
	this.tableName = tableName;
}

public Integer getTableType() {
	return tableType;
}

public void setTableType(Integer tableType) {
	this.tableType = tableType;
}

     public Integer getDisplayNums() {
         return displayNums;
     }

     public void setDisplayNums(Integer displayNums) {
         this.displayNums = displayNums;
     }
 }
