package com.huigou.uasp.builder.jsbutton;

import java.util.ArrayList;
import java.util.List;

import com.google.common.base.CaseFormat;
import com.huigou.uasp.builder.ButtonTypeInter;
import com.huigou.uasp.builder.vo.ButtonAttributeVO;
import com.huigou.uasp.builder.vo.SeleListCustomVO;
import com.huigou.uasp.form.domain.model.FormParameter;
import com.huigou.uasp.util.Utils;
import com.huigou.uasp.util.Constant;

public class AddButtonResult implements ButtonTypeInter {
	
	public List<String> processOutResult(StringBuffer sb,ButtonAttributeVO btnAttr){
		List <String> list=new ArrayList<String>();
		//sb.append("//增加方法 ").append(Constant.SYSMBOL_LINE);
		//如果是配置了流程  则通过Ifame打开，发起流程页面
		sb.append(" function addHandler(){");
        sb.append("  if ($('#procId').val()!=\"\") { ");
		   
            sb.append("UICtrl.addTabItem({ ");
			sb.append("	tabid: 'add").append(btnAttr.getEntityName()).append("',");
			sb.append("	text: \"新增"+btnAttr.getFormName()+"\",");
			sb.append("	url: web_app.name+'/dataManage/addDataRecord.job?procId='+$('#procId').val()");
			sb.append("+'&formNo='+$('#formNo').val()");
			sb.append(" });");

          sb.append(" } else { ");

			sb.append("   UICtrl.showAjaxDialog({");
			sb.append("  title:'").append(btnAttr.getFormName()).append("',");
			if (btnAttr.getIsForm() == 1) {  //是表单生成器 则调用统一的添加方法
				sb.append("  url: web_app.name +'/dataManage/addDataRecord.load',");
				sb.append("      param: {id:$('#id').val(),formNo:$('#formNo').val()},");
			} else {  //代码生成器
				sb.append("  url: web_app.name +'/").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("/").append("load")
						.append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("Detail.load',");
				sb.append("      param: {id:$('#id').val()},");
			}
			sb.append("      width: 1000,");
			sb.append("      height:460,");
			sb.append("      init:function(){");
			sb.append("         initAdd").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("();");
			sb.append("      },");
			sb.append("     ok: function() { doSave").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("(1);},");

			sb.append("     close: onDialogCloseHandler ");
			sb.append(" });");

			sb.append("} ");
			sb.append(" ");
           sb.append(" } ");
		sb.append(Constant.SYSMBOL_LINE);

   		sb.append("function initAdd").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("(){ ");

   		Utils.createEasySearch(sb,btnAttr);

		if (btnAttr.getExistAttachment()==1) {
			//sb.append("   var _attbizid=$(\"#attbizid\").val();");
			//sb.append("   $('#").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("Attach').fileList({bizId:_attbizid}); ");
			List<FormParameter> attachLists = btnAttr.getAttachmentLists();
			for (FormParameter formParameter : attachLists) {
				sb.append("   $('#").append(formParameter.getParmVals()).append("Attach').fileList({bizId:$(\"#attbizid\").val()});");

			}
		}

  	    sb.append("	} ");
   	    sb.append(" ");
   	    
   	 //   sb.append(" //保存方法 ;");
		sb.append(Constant.SYSMBOL_LINE);
		sb.append("function doSave").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("(grid){");
		sb.append(" var _self = this;");
		sb.append("   var id = getId();");
		
		if (btnAttr.getIsForm()==1){  //是表单生成器 则调用统一的添加方法
	       sb.append("  var url= '/dataManage/saveDataRecord.ajax';");
	       sb.append("  if (grid==1) { url+='?btntype=1';  } ");
	       sb.append("  $('#submitForm').ajaxSubmit({");   //发起流程 必须固定表单名称为submitForm
		} else {
		   sb.append("   var url = '/").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName()))
		    .append("/save").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append(".ajax';");
		  // sb.append("  $('#").append(Utils.toLowerCaseFirstOne(btnAttr.getEntityName())).append("Form').ajaxSubmit({");
			sb.append("  $('#submitForm').ajaxSubmit({");
		}
		
		sb.append("       url: web_app.name +url,");
		sb.append("       success: function (data) {");
		
		sb.append("           $(\"#id\").val(data);");
		sb.append("         if ($('#").append(btnAttr.getEntityName()).append("'))	{ $('#");
		sb.append(btnAttr.getEntityName()).append("Attach').fileList({bizId:data});  } ");
		sb.append("           if (grid&&grid!=\"\") {UICtrl.addGridRow(eval(grid),{id:data }  );}");
		sb.append("      	  reload").append(Utils.toUpperCaseFirstOne(btnAttr.getEntityName())).append("Grid();");
	    sb.append("       	  refreshFlag = true;");
		sb.append("           _self.close();");
		sb.append("      }");
		sb.append("   });");

		sb.append(" }");
	    sb.append("	");
		sb.append(Constant.SYSMBOL_LINE);

		  list.add(sb.toString());
		 // list.add(Integer.toString(fieldAttributes.getCurrCols()));
		return list;
	}

	//获取真实的字段名
	private String getRealFieldEn(String []fieldEns,String targetField){
		    String sequence=targetField.substring(5);
		    String fieldEn=targetField;
		   for (int x=0;x<fieldEns.length;x++){
			   if (x==Integer.parseInt(sequence)){
				   fieldEn=fieldEns[x];
				   break;
			   }
		   }
		   return fieldEn;
		
	}
	
	 //获取映射的字段名称  field0、field1、field2...........
		private String getMappingFieldEn(String []fieldEns,String realfield){
			    String fieldEn=realfield;
			   for (int x=0;x<fieldEns.length;x++){
				   if (realfield.equals(fieldEns[x])){
					   fieldEn="field"+x;
					   break;
				   }
			   }
			   return fieldEn;
			
		}
}
